createWorkspaceMember

Add a member to the workspace

POST/v1/admin/workspace-members

Authorization

AuthorizationBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header parameters

x-workspace-idstring
Workspace ID
x-multiple-integrations?string
Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Request body

Workspace member metadata

emailemail
(email)
roleenum<string>
Available options:"viewer","billing","developer","manager","administrator","owner"
sendEmail?boolean

Response

Success

idstring
userId?uuid
(uuid)
emailstring
createdAtstring
roleenum<string>
Available options:"viewer","billing","developer","manager","administrator","owner"
profilePicture?string
displayName?string
(max length: 100)